org.apache.ignite.internal.util.future

## Class GridCompoundIdentityFuture<T>

- java.lang.Object
- - java.util.concurrent.locks.AbstractOwnableSynchronizer
  - - java.util.concurrent.locks.AbstractQueuedSynchronizer
    - - org.apache.ignite.internal.util.future.GridFutureAdapter<R>
      - - org.apache.ignite.internal.util.future.GridCompoundFuture<T,T>
        - - org.apache.ignite.internal.util.future.GridCompoundIdentityFuture<T>

All Implemented Interfaces:
  Serializable, IgniteInternalFuture<T>

Direct Known Subclasses:
  GridCacheTxRecoveryFuture, GridDhtColocatedLockFuture, GridDhtGetFuture, GridDhtLockFuture, GridDhtTxFinishFuture, GridDhtTxPrepareFuture, GridNearGetFuture, GridNearLockFuture, GridNearTxFinishFuture, GridNearTxPrepareFuture, GridPartitionedGetFuture

    public class GridCompoundIdentityFuture<T>
    extends GridCompoundFuture<T,T>

Future composed of multiple inner futures.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.concurrent.locks.AbstractQueuedSynchronizer

`AbstractQueuedSynchronizer.ConditionObject`

### Constructor Summary

Constructors
Constructor and Description
`GridCompoundIdentityFuture()`
`GridCompoundIdentityFuture(GridKernalContext ctx, IgniteReducer<T,T> rdc)`

### Method Summary

Methods
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.util.future.GridCompoundFuture

`add, addAll, addAll, cancel, futures, hasPending, ignoreChildFailures, initialized, markInitialized, pending, reducer, reducer`

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`chain, duration, endTime, error, get, get, get, get0, ignoreInterrupts, isCancelled, isDone, isFailed, listen, onCancelled, onDone, onDone, onDone, onDone, result, startTime, tryAcquireShared, tryReleaseShared`

### Methods inherited from class java.util.concurrent.locks.AbstractQueuedSynchronizer

`acquire, acquireInterruptibly, acquireShared, acquireSharedInterruptibly, compareAndSetState, getExclusiveQueuedThreads, getFirstQueuedThread, getQueuedThreads, getQueueLength, getSharedQueuedThreads, getState, getWaitingThreads, getWaitQueueLength, hasContended, hasQueuedPredecessors, hasQueuedThreads, hasWaiters, isHeldExclusively, isQueued, owns, release, releaseShared, setState, tryAcquire, tryAcquireNanos, tryAcquireSharedNanos, tryRelease`

### Methods inherited from class java.util.concurrent.locks.AbstractOwnableSynchronizer

`getExclusiveOwnerThread, setExclusiveOwnerThread`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridCompoundIdentityFuture

    public GridCompoundIdentityFuture()

#### GridCompoundIdentityFuture

    public GridCompoundIdentityFuture(GridKernalContext ctx,
                              @Nullable
                              IgniteReducer<T,T> rdc)

Parameters:
  `ctx` - Context.
  `rdc` - Reducer.

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `GridCompoundFuture<T,T>`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015